Package com.pixelmed.network

# Class ResponseStatus

java.lang.Object
com.pixelmed.network.ResponseStatus

public class ResponseStatus extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`IdentifierDoesNotMatchSOPClass`
`static int`
`MatchesAreContinuingOptionalKeysNotSupported`
`static int`
`MatchesAreContinuingOptionalKeysSupported`
`static int`
`MatchingTerminatedDueToCancelIndication`
`static int`
`RefusedMoveDestinationUnknown`
`static int`
`RefusedOutOfResourcesUnableToCalculateNumberOfMatches`
`static int`
`RefusedOutOfResourcesUnableToPerformSubOperations`
`static int`
`SubOperationsAreContinuing`
`static int`
`SubOperationsCompleteNoFailures`
`static int`
`SubOperationsCompleteOneOrMoreFailures`
`static int`
`SubOperationsTerminatedDueToCancelIndication`
`static int`
`Success`
`static int`
`UnableToProcess`

## Constructor Summary

Constructors
Constructor
Description
`ResponseStatus()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### Success

public static int Success

### RefusedOutOfResourcesUnableToCalculateNumberOfMatches

public static int RefusedOutOfResourcesUnableToCalculateNumberOfMatches

### RefusedOutOfResourcesUnableToPerformSubOperations

public static int RefusedOutOfResourcesUnableToPerformSubOperations

### RefusedMoveDestinationUnknown

public static int RefusedMoveDestinationUnknown

### IdentifierDoesNotMatchSOPClass

public static int IdentifierDoesNotMatchSOPClass

### UnableToProcess

public static int UnableToProcess

### SubOperationsTerminatedDueToCancelIndication

public static int SubOperationsTerminatedDueToCancelIndication

### MatchingTerminatedDueToCancelIndication

public static int MatchingTerminatedDueToCancelIndication

### SubOperationsCompleteOneOrMoreFailures

public static int SubOperationsCompleteOneOrMoreFailures

### SubOperationsCompleteNoFailures

public static int SubOperationsCompleteNoFailures

### SubOperationsAreContinuing

public static int SubOperationsAreContinuing

### MatchesAreContinuingOptionalKeysSupported

public static int MatchesAreContinuingOptionalKeysSupported

### MatchesAreContinuingOptionalKeysNotSupported

public static int MatchesAreContinuingOptionalKeysNotSupported

## Constructor Details

### ResponseStatus

public ResponseStatus()